Create Assistant
curl --request POST \
--url https://api.example.com/api/v2/assistants/import requests
url = "https://api.example.com/api/v2/assistants/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v2/assistants/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Assistants
Create Assistant
Create a custom AI assistant
POST
/
api
/
v2
/
assistants
/
Create Assistant
{
"name": "My Analyst",
"description": "Data analysis assistant",
"model_slug": "gpt-5",
"system_prompt": "You are an expert data analyst...",
"temperature": 0.3,
"is_public": false
}
PUT /api/v2/assistants/{id} — Delete: DELETE /api/v2/assistants/{id}
Submit to marketplace: POST /api/v2/assistants/{id}/submit⌘I

